Launcher (Apache Ant API)
Date: 2018-03-24

org.apache.tools.ant.launch

## Class Launcher

- java.lang.Object
- - org.apache.tools.ant.launch.Launcher

-     public class Launcher
      extends java.lang.Object

  This is a launcher for Ant.
  Since:
    Ant 1.6

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ANT_PRIVATEDIR` The directory name of the per-user ant directory.
    `static java.lang.String` | `ANT_PRIVATELIB` The name of a per-user library directory.
    `static java.lang.String` | `ANTHOME_PROPERTY` The Ant Home (installation) Directory property.
    `static java.lang.String` | `ANTLIBDIR_PROPERTY` The Ant Library Directory property.
    `protected static int` | `EXIT_CODE_ERROR` Exit code on trouble
    `boolean` | `launchDiag` launch diagnostics flag; for debugging trouble at launch time.
    `static java.lang.String` | `MAIN_CLASS` The startup class that is to be run.
    `static java.lang.String` | `USER_HOMEDIR` System property with user home directory.
    `static java.lang.String` | `USER_LIBDIR` The location of a per-user library directory.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Entry point for starting command line Ant.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANTHOME_PROPERTY

          public static final java.lang.String ANTHOME_PROPERTY

      The Ant Home (installation) Directory property. "ant.home"
      See Also:
        Constant Field Values

    - #### ANTLIBDIR_PROPERTY

          public static final java.lang.String ANTLIBDIR_PROPERTY

      The Ant Library Directory property. "ant.library.dir"
      See Also:
        Constant Field Values

    - #### ANT_PRIVATEDIR

          public static final java.lang.String ANT_PRIVATEDIR

      The directory name of the per-user ant directory. ".ant"
      See Also:
        Constant Field Values

    - #### ANT_PRIVATELIB

          public static final java.lang.String ANT_PRIVATELIB

      The name of a per-user library directory. "lib"
      See Also:
        Constant Field Values

    - #### USER_LIBDIR

          public static final java.lang.String USER_LIBDIR

      The location of a per-user library directory.

      It's value is the concatenation of `ANT_PRIVATEDIR` with `ANT_PRIVATELIB`, with an appropriate file separator in between. For example, on Unix, it's `.ant/lib`.

    - #### MAIN_CLASS

          public static final java.lang.String MAIN_CLASS

      The startup class that is to be run. "org.apache.tools.ant.Main"
      See Also:
        Constant Field Values

    - #### USER_HOMEDIR

          public static final java.lang.String USER_HOMEDIR

      System property with user home directory. "user.home"
      See Also:
        Constant Field Values

    - #### EXIT_CODE_ERROR

          protected static final int EXIT_CODE_ERROR

      Exit code on trouble
      See Also:
        Constant Field Values

    - #### launchDiag

          public boolean launchDiag

      launch diagnostics flag; for debugging trouble at launch time.

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Entry point for starting command line Ant.
      Parameters:
        `args` - commandline arguments